package cn.com.qmth.stmms.biz.common.domain.card;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.Collections;
import java.util.List;

@JsonIgnoreProperties(ignoreUnknown = true)
public class CheckArea {

    @JsonProperty("black_line")
    private List<double[]> blackLine = Collections.emptyList();

    @JsonProperty("white_line")
    private List<double[]> whiteLine = Collections.emptyList();

    public List<double[]> getBlackLine() {
        return blackLine;
    }

    public void setBlackLine(List<double[]> blackLine) {
        this.blackLine = blackLine;
    }

    public List<double[]> getWhiteLine() {
        return whiteLine;
    }

    public void setWhiteLine(List<double[]> whiteLine) {
        this.whiteLine = whiteLine;
    }
}
